from flask import Blueprint, request, jsonify
import geruecht.controller.mainController as mc
from geruecht.logger import getDebugLogger

registration = Blueprint("registration", __name__)

mainController = mc.MainController()

debug = getDebugLogger()

@registration.route("/registration", methods=['PUT'])
def __registration():
    data = request.get_json()
    mainController.setNewRegistration(data)
    return jsonify({"ok":"ok"})